# Uses of Class
net.shibboleth.idp.profile.context.MultiRelyingPartyContext

Packages that use MultiRelyingPartyContext
Package
Description
net.shibboleth.idp.profile.context
Context classes for IdP-specific information needed by profile actions.
net.shibboleth.idp.profile.context.navigate
Functions dealing with traversing and extracting data from profile request contexts.

## Uses of MultiRelyingPartyContext in net.shibboleth.idp.profile.context

Constructors in net.shibboleth.idp.profile.context with parameters of type MultiRelyingPartyContext
Modifier
Constructor
Description
``
`RelyingPartyContextIterator(MultiRelyingPartyContext ctx)`
Constructor.

## Uses of MultiRelyingPartyContext in net.shibboleth.idp.profile.context.navigate

Methods in net.shibboleth.idp.profile.context.navigate with parameters of type MultiRelyingPartyContext
Modifier and Type
Method
Description
`RelyingPartyContext`
RelyingPartyContextLookupByCurrent.`apply(MultiRelyingPartyContext input)`
`RelyingPartyContext`
RelyingPartyContextLookupById.`apply(MultiRelyingPartyContext input1, String input2)`
`Collection<RelyingPartyContext>`
RelyingPartyContextLookupByLabel.`apply(MultiRelyingPartyContext input)`